#ifndef SERIAL_H_
#define SERIAL_H_
#include <termios.h>
#include <fcntl.h>
#include <string.h>
#include <stdio.h>
#include <unistd.h>
#include <errno.h>

class cSerialPort {
private:
  int fd;
  struct termios options;
public:
  void openPort(char *serialPort);
  void closePort();
  void writePort(char *cmd);  
};

extern cSerialPort SerialPort;

#endif /*SERIAL_H_*/
